# https://www.mpscholten.de/nixos/2016/07/07/private-github-repositories-and-nixos.html
# https://nixos.org/wiki/FAQ#How_do_I_know_the_sha256_to_use_with_fetchgit.3F

with import <nixpkgs> {};

stdenv.mkDerivation rec {
  version = "master";
  name = "random-${version}";
  #builder = ./builder.sh;

  src = fetchurl {
    url = "https://gogs.prunetwork.fr/jpierre03/random/archive/${version}.tar.gz";
    sha256 = "07n3j4iia93nxh3fkaslynqxyyl41v8whaz756zx6xw3hhqn5rja";
  };

  buildInputs = [ gcc ];
  #buildPhase = "jekyll build";
  #installPhase = "cp -R _site \$out";
  installPhase = "make install OUT=\$out";
  #installPhase = "mkdir \$out && cp random \$out";
  #installPhase = "install -D $out random";

  meta = with stdenv.lib; {
    description = "Program thas exit with 0 or 1 randomly";
    license = licenses.cc-by-nc-sa-40;
    maintainers = [ "Jean-Pierre PRUNARET <jean-pierre+git@prunetwork.fr>" ];
    platforms = platforms.linux;
  };
}
